
/*********
 *
 * JavaScript stuff for the main page.
 *
 * This one implements functions that are called from the .html file.
 *
 * This is the simplest of the three versions presented here,
 * and likely similar to the style you'll find at 'free script' sites.
 *
 *********/

/* 'global' variables available to all these functions. */
var body, kite_button, flowers_button;

/* What should happen when the user clicks on a button. */
function click_button(which){
  body.style.backgroundImage = 'url(images/' + which + '.jpg)';
  if (which == 'kite'){
    body.style.backgroundImage = 'url(images/kite.jpg)';
    kite_button.disabled = true;
    kite_button.blur(); /* take away focus, i.e. unclick it */
    flowers_button.disabled = false;
  }
  else {
    body.style.backgroundImage = 'url(images/flowers.jpg)';
    flowers_button.disabled = true;
    flowers_button.blur(); /* take away focus, i.e. unclick it */
    kite_button.disabled = false;
  }
}

/* What should happen just after the page loads. */
function init(){
  /* Remember these guys as global variables.  (See above.)  */
  body = document.getElementsByTagName('body')[0]; /* 0'th body tag */
  kite_button = document.getElementById('kite');
  flowers_button = document.getElementById('flowers');
  kite_button.disabled = true;
}

